io.vertx.reactivex.core.http

## Class HttpServerFileUpload

- java.lang.Object
- - io.vertx.reactivex.core.http.HttpServerFileUpload

- All Implemented Interfaces:
    ReadStream<Buffer>, StreamBase

      public class HttpServerFileUpload
      extends Object
      implements ReadStream<Buffer>

  Represents an file upload from an HTML FORM.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<HttpServerFileUpload>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpServerFileUpload(HttpServerFileUpload delegate)`
    `HttpServerFileUpload(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancelStreamToFileSystem()` Try to cancel the file system streaming, the streamed file will be deleted.
    `String` | `charset()`
    `String` | `contentTransferEncoding()`
    `String` | `contentType()`
    `HttpServerFileUpload` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `boolean` | `equals(Object o)`
    `HttpServerFileUpload` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `HttpServerFileUpload` | `fetch(long amount)` Fetch the specified `amount` of elements.
    `AsyncFile` | `file()`
    `String` | `filename()`
    `HttpServerFileUpload` | `getDelegate()`
    `HttpServerFileUpload` | `handler(Handler<Buffer> handler)` Set a data handler.
    `int` | `hashCode()`
    `boolean` | `isSizeAvailable()`
    `String` | `name()`
    `static HttpServerFileUpload` | `newInstance(HttpServerFileUpload arg)`
    `HttpServerFileUpload` | `pause()` Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `Pipe<Buffer>` | `pipe()` Pause this stream and return a to transfer the elements of this stream to a destination .
    `void` | `pipeTo(WriteStream<Buffer> dst)` Pipe this `ReadStream` to the `WriteStream`.
    `void` | `pipeTo(WriteStream<Buffer> dst, Handler<AsyncResult<Void>> handler)` Pipe this `ReadStream` to the `WriteStream`.
    `HttpServerFileUpload` | `resume()` Resume reading, and sets the buffer in `flowing` mode.
    `Completable` | `rxPipeTo(WriteStream<Buffer> dst)` Pipe this `ReadStream` to the `WriteStream`.
    `Completable` | `rxStreamToFileSystem(String filename)` Stream the content of this upload to the given file on storage.
    `long` | `size()` The size of the upload may not be available until it is all read.
    `void` | `streamToFileSystem(String filename)` Stream the content of this upload to the given file on storage.
    `void` | `streamToFileSystem(String filename, Handler<AsyncResult<Void>> handler)` Stream the content of this upload to the given file on storage.
    `Flowable<Buffer>` | `toFlowable()`
    `Observable<Buffer>` | `toObservable()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.reactivex.core.streams.ReadStream

      `newInstance, newInstance`

    - ### Methods inherited from interface io.vertx.reactivex.core.streams.StreamBase

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<HttpServerFileUpload> __TYPE_ARG

  - ### Constructor Detail

    - #### HttpServerFileUpload

          public HttpServerFileUpload(HttpServerFileUpload delegate)

    - #### HttpServerFileUpload

          public HttpServerFileUpload(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public HttpServerFileUpload getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<Buffer>`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public Observable<Buffer> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<Buffer>`

    - #### toFlowable

          public Flowable<Buffer> toFlowable()

      Specified by:
        `toFlowable` in interface `ReadStream<Buffer>`

    - #### pipe

          public Pipe<Buffer> pipe()

      Pause this stream and return a to transfer the elements of this stream to a destination .

      The stream will be resumed when the pipe will be wired to a `WriteStream`.
      Specified by:
        `pipe` in interface `ReadStream<Buffer>`
      Returns:
        a pipe

    - #### pipeTo

          public void pipeTo(WriteStream<Buffer> dst,
                             Handler<AsyncResult<Void>> handler)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<Buffer>`
      Parameters:
        `dst` - the destination write stream
        `handler` -

    - #### pipeTo

          public void pipeTo(WriteStream<Buffer> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<Buffer>`
      Parameters:
        `dst` - the destination write stream

    - #### rxPipeTo

          public Completable rxPipeTo(WriteStream<Buffer> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `rxPipeTo` in interface `ReadStream<Buffer>`
      Parameters:
        `dst` - the destination write stream
      Returns:

    - #### exceptionHandler

          public HttpServerFileUpload exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<Buffer>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public HttpServerFileUpload handler(Handler<Buffer> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public HttpServerFileUpload endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public HttpServerFileUpload pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public HttpServerFileUpload resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### fetch

          public HttpServerFileUpload fetch(long amount)

      Description copied from interface: `ReadStream`
      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `ReadStream<Buffer>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### streamToFileSystem

          public void streamToFileSystem(String filename,
                                         Handler<AsyncResult<Void>> handler)

      Stream the content of this upload to the given file on storage.
      Parameters:
        `filename` - the name of the file
        `handler` -

    - #### streamToFileSystem

          public void streamToFileSystem(String filename)

      Stream the content of this upload to the given file on storage.
      Parameters:
        `filename` - the name of the file

    - #### rxStreamToFileSystem

          public Completable rxStreamToFileSystem(String filename)

      Stream the content of this upload to the given file on storage.
      Parameters:
        `filename` - the name of the file
      Returns:

    - #### cancelStreamToFileSystem

          public boolean cancelStreamToFileSystem()

      Try to cancel the file system streaming, the streamed file will be deleted.
      Returns:
        `true` when the stream is cancelled, otherwise it means that stream is finished

    - #### filename

          public String filename()

      Returns:
        the filename which was used when upload the file.

    - #### name

          public String name()

      Returns:
        the name of the attribute

    - #### contentType

          public String contentType()

      Returns:
        the content type for the upload

    - #### contentTransferEncoding

          public String contentTransferEncoding()

      Returns:
        the contentTransferEncoding for the upload

    - #### charset

          public String charset()

      Returns:
        the charset for the upload

    - #### size

          public long size()

      The size of the upload may not be available until it is all read. Check `isSizeAvailable()` to determine this
      Returns:
        the size of the upload (in bytes)

    - #### isSizeAvailable

          public boolean isSizeAvailable()

      Returns:
        `true` if the size of the upload can be retrieved via `size()`.

    - #### file

          public AsyncFile file()

      Returns:
        the async uploaded file when `streamToFileSystem(java.lang.String, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)` has been used and the file is available

    - #### newInstance

          public static HttpServerFileUpload newInstance(HttpServerFileUpload arg)

Copyright © 2022 Eclipse. All rights reserved.